/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "SDL", "index.html", [
    [ "Introduction to SDL with Android Studio", "de/d9f/md__i_n_t_r_o-androidstudio.html", null ],
    [ "Introduction to SDL with CMake", "de/d8c/md__i_n_t_r_o-cmake.html", [
      [ "Get a copy of the SDL source:", "de/d8c/md__i_n_t_r_o-cmake.html#autotoc_md2", null ],
      [ "Create the file CMakeLists.txt", "de/d8c/md__i_n_t_r_o-cmake.html#autotoc_md3", null ],
      [ "Configure and Build:", "de/d8c/md__i_n_t_r_o-cmake.html#autotoc_md4", null ],
      [ "Run:", "de/d8c/md__i_n_t_r_o-cmake.html#autotoc_md5", null ]
    ] ],
    [ "Introduction to SDL with Emscripten", "d8/d35/md__i_n_t_r_o-emscripten.html", null ],
    [ "Introduction to SDL with MinGW", "d0/d64/md__i_n_t_r_o-mingw.html", [
      [ "MSYS2", "d0/d64/md__i_n_t_r_o-mingw.html#autotoc_md8", [
        [ "Create the file CMakeLists.txt", "d0/d64/md__i_n_t_r_o-mingw.html#autotoc_md9", null ],
        [ "Configure and Build:", "d0/d64/md__i_n_t_r_o-mingw.html#autotoc_md10", null ],
        [ "Run:", "d0/d64/md__i_n_t_r_o-mingw.html#autotoc_md11", null ]
      ] ],
      [ "Other Distributions", "d0/d64/md__i_n_t_r_o-mingw.html#autotoc_md12", [
        [ "Acquire SDL", "d0/d64/md__i_n_t_r_o-mingw.html#autotoc_md13", null ],
        [ "Know your Target Architecture", "d0/d64/md__i_n_t_r_o-mingw.html#autotoc_md14", null ],
        [ "Build and Run", "d0/d64/md__i_n_t_r_o-mingw.html#autotoc_md15", null ]
      ] ]
    ] ],
    [ "Introduction to SDL with Visual Studio", "d2/d22/md__i_n_t_r_o-visualstudio.html", null ],
    [ "Introduction to SDL with Xcode", "d3/d5f/md__i_n_t_r_o-xcode.html", null ],
    [ "Android", "da/d80/md__r_e_a_d_m_e-android.html", [
      [ "Requirements", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md18", null ],
      [ "How the port works", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md19", null ],
      [ "Building a simple app", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md20", null ],
      [ "Building a more complex app", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md21", null ],
      [ "Using the SDL3 Android Archive (.aar)", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md22", null ],
      [ "Customizing your application name", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md23", null ],
      [ "Customizing your application icon", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md24", null ],
      [ "Loading assets", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md25", null ],
      [ "Activity lifecycle", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md26", null ],
      [ "Insets and Safe Areas", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md27", null ],
      [ "Mouse / Touch events", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md28", null ],
      [ "Misc", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md29", null ],
      [ "Threads and the Java VM", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md30", null ],
      [ "Using STL", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md31", null ],
      [ "Using the emulator", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md32", null ],
      [ "Troubleshooting", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md33", null ],
      [ "Memory debugging", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md34", null ],
      [ "Graphics debugging", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md35", null ],
      [ "A note regarding the use of the \"dirty rectangles\" rendering technique", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md36", null ],
      [ "Ending your application", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md37", null ],
      [ "Known issues", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md38", null ],
      [ "Building the SDL tests", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md39", null ]
    ] ],
    [ "FreeBSD / OpenBSD / NetBSD", "d3/d9b/md__r_e_a_d_m_e-bsd.html", null ],
    [ "CMake", "d1/d1a/md__r_e_a_d_m_e-cmake.html", [
      [ "Building SDL on Windows", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md47", null ],
      [ "Building SDL on UNIX", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md48", null ],
      [ "Building SDL on macOS", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md49", null ],
      [ "Building SDL tests", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md50", null ],
      [ "Building SDL examples", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md51", null ],
      [ "Including SDL in your project", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md52", [
        [ "A system SDL library", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md53", null ],
        [ "Using a vendored SDL", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md54", null ]
      ] ],
      [ "CMake configuration options", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md55", [
        [ "Build optimized library", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md56", null ],
        [ "Shared or static", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md57", null ],
        [ "Man pages", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md58", null ],
        [ "Pass custom compile options to the compiler", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md59", [
          [ "Examples", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md60", null ]
        ] ],
        [ "Apple", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md61", [
          [ "iOS/tvOS/visionOS", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md62", null ],
          [ "Frameworks", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md63", null ],
          [ "Platforms", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md64", null ],
          [ "Universal binaries", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md65", null ],
          [ "Simulators and/or non-default macOS platform SDK", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md66", null ],
          [ "Examples", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md67", null ]
        ] ]
      ] ],
      [ "SDL-specific CMake options", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md68", [
        [ "Incompatibilities", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md69", [
          [ "<tt>SDL_LIBC=OFF</tt> and sanitizers", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md70", null ]
        ] ]
      ] ],
      [ "CMake FAQ", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md71", [
        [ "CMake fails to build without X11 or Wayland support", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md72", null ],
        [ "How do I copy a SDL3 dynamic library to another location?", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md73", null ],
        [ "Linking against a static SDL library fails due to relocation errors", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md74", null ]
      ] ]
    ] ],
    [ "Contributing to SDL", "db/d54/md__r_e_a_d_m_e-contributing.html", [
      [ "Filing a GitHub issue", "db/d54/md__r_e_a_d_m_e-contributing.html#autotoc_md76", [
        [ "Reporting a bug", "db/d54/md__r_e_a_d_m_e-contributing.html#autotoc_md77", null ],
        [ "Suggesting enhancements", "db/d54/md__r_e_a_d_m_e-contributing.html#autotoc_md78", null ]
      ] ],
      [ "Contributing code", "db/d54/md__r_e_a_d_m_e-contributing.html#autotoc_md79", [
        [ "Forking the project", "db/d54/md__r_e_a_d_m_e-contributing.html#autotoc_md80", null ],
        [ "Following the style guide", "db/d54/md__r_e_a_d_m_e-contributing.html#autotoc_md81", null ],
        [ "Running the tests", "db/d54/md__r_e_a_d_m_e-contributing.html#autotoc_md82", null ],
        [ "Opening a pull request", "db/d54/md__r_e_a_d_m_e-contributing.html#autotoc_md83", null ],
        [ "Continuous integration", "db/d54/md__r_e_a_d_m_e-contributing.html#autotoc_md84", null ]
      ] ],
      [ "Contributing to the documentation", "db/d54/md__r_e_a_d_m_e-contributing.html#autotoc_md85", [
        [ "Editing a function documentation", "db/d54/md__r_e_a_d_m_e-contributing.html#autotoc_md86", null ],
        [ "Editing the wiki", "db/d54/md__r_e_a_d_m_e-contributing.html#autotoc_md87", null ]
      ] ]
    ] ],
    [ "Rules for documentation", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html", [
      [ "No style guide", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md89", null ],
      [ "The wiki and headers share the same text.", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md90", null ],
      [ "Don't taunt wikiheaders.", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md91", null ],
      [ "We <em>sort of</em> write in Doxygen format.", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md92", null ],
      [ "Doxygen tags we support:", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md93", null ],
      [ "Use Markdown.", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md94", null ],
      [ "Most things in the headers can be documented.", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md95", null ],
      [ "Defines right below typedefs and functions bind.", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md96", null ],
      [ "Don't document the <tt>SDL_test*.h</tt> headers.", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md97", null ],
      [ "The first line is the summary.", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md98", null ],
      [ "Split paragraphs with a blank line.", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md99", null ],
      [ "Don't worry about word wrapping.", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md100", null ],
      [ "Things that start with <tt>SDL_</tt> will automatically become wiki links.", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md101", null ],
      [ "URLs will automatically become links.", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md102", null ],
      [ "Hide stuff from wikiheaders.", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md103", null ],
      [ "Hide stuff from the compiler.", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md104", null ],
      [ "Struct/union/enum typedefs must have the name on the first line.", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md105", null ],
      [ "Don't repeat type names in <tt>\\param</tt> and <tt>\\returns</tt> sections.", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md106", null ],
      [ "Code examples go in the wiki.", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md107", null ],
      [ "Do you <em>need</em> a code example?", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md108", null ],
      [ "Code examples are compiled by GitHub Actions.", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md109", null ],
      [ "Unrecognized sections are left alone in the wiki.", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md110", null ],
      [ "It's okay to repeat yourself.", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md111", null ],
      [ "The docs directory is bridged to the wiki, too.", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md112", null ],
      [ "The wiki can have its own pages, too.", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md113", null ],
      [ "Wiki categories are (mostly) managed automatically.", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md114", null ],
      [ "Categorizing the headers.", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md115", null ],
      [ "Category documentation lives in headers.", "d8/de6/md__r_e_a_d_m_e-documentation-rules.html#autotoc_md116", null ]
    ] ],
    [ "Dynamic API", "db/da4/md__r_e_a_d_m_e-dynapi.html", null ],
    [ "Emscripten", "d9/d28/md__r_e_a_d_m_e-emscripten.html", [
      [ "The state of things", "d9/d28/md__r_e_a_d_m_e-emscripten.html#autotoc_md119", null ],
      [ "RTFM", "d9/d28/md__r_e_a_d_m_e-emscripten.html#autotoc_md120", null ],
      [ "Porting your app to Emscripten", "d9/d28/md__r_e_a_d_m_e-emscripten.html#autotoc_md121", null ],
      [ "Do you need threads?", "d9/d28/md__r_e_a_d_m_e-emscripten.html#autotoc_md122", null ],
      [ "Audio", "d9/d28/md__r_e_a_d_m_e-emscripten.html#autotoc_md123", null ],
      [ "Rendering", "d9/d28/md__r_e_a_d_m_e-emscripten.html#autotoc_md124", null ],
      [ "Building SDL/emscripten", "d9/d28/md__r_e_a_d_m_e-emscripten.html#autotoc_md125", null ],
      [ "Building your app", "d9/d28/md__r_e_a_d_m_e-emscripten.html#autotoc_md126", null ],
      [ "Data files", "d9/d28/md__r_e_a_d_m_e-emscripten.html#autotoc_md127", null ],
      [ "Debugging", "d9/d28/md__r_e_a_d_m_e-emscripten.html#autotoc_md128", null ],
      [ "Questions?", "d9/d28/md__r_e_a_d_m_e-emscripten.html#autotoc_md129", null ]
    ] ],
    [ "GDK", "d5/dce/md__r_e_a_d_m_e-gdk.html", [
      [ "Requirements", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md130", null ],
      [ "Windows GDK Status", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md131", null ],
      [ "VisualC-GDK Solution", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md132", null ],
      [ "Windows GDK Setup, Detailed Steps", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md133", [
        [ "1. Add a Gaming.Desktop.x64 Configuration", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md134", null ],
        [ "2. Build SDL3 for GDK", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md135", null ],
        [ "3. Configuring Project Settings", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md136", null ],
        [ "4. Setting up SDL_main", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md137", null ],
        [ "5. Required DLLs", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md138", null ],
        [ "6. Setting up MicrosoftGame.config", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md139", null ],
        [ "7. Adding Required Logos", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md140", null ],
        [ "8. Copying any Data Files", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md141", null ],
        [ "9. Build and Run from Visual Studio", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md142", null ],
        [ "10. Packaging and Installing Locally", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md143", null ]
      ] ],
      [ "Xbox GDKX Setup", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md144", null ],
      [ "Troubleshooting", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md145", null ]
    ] ],
    [ "Haiku OS", "d9/d6f/md__r_e_a_d_m_e-haiku.html", null ],
    [ "README-highdpi", "d7/dac/md__r_e_a_d_m_e-highdpi.html", null ],
    [ "iOS", "de/d74/md__r_e_a_d_m_e-ios.html", [
      [ "Building the Simple DirectMedia Layer for iOS 11.0+", "de/d74/md__r_e_a_d_m_e-ios.html#autotoc_md152", null ],
      [ "Using the Simple DirectMedia Layer for iOS", "de/d74/md__r_e_a_d_m_e-ios.html#autotoc_md153", null ],
      [ "Notes – Retina / High-DPI and window sizes", "de/d74/md__r_e_a_d_m_e-ios.html#autotoc_md154", null ],
      [ "Notes – Application events", "de/d74/md__r_e_a_d_m_e-ios.html#autotoc_md155", null ],
      [ "Notes – Keyboard", "de/d74/md__r_e_a_d_m_e-ios.html#autotoc_md156", null ],
      [ "Notes – Mouse", "de/d74/md__r_e_a_d_m_e-ios.html#autotoc_md157", null ],
      [ "Notes – Reading and Writing files", "de/d74/md__r_e_a_d_m_e-ios.html#autotoc_md158", null ],
      [ "Notes – xcFramework", "de/d74/md__r_e_a_d_m_e-ios.html#autotoc_md159", null ],
      [ "Notes – iPhone SDL limitations", "de/d74/md__r_e_a_d_m_e-ios.html#autotoc_md160", null ],
      [ "Notes – CoreBluetooth.framework", "de/d74/md__r_e_a_d_m_e-ios.html#autotoc_md161", null ],
      [ "Game Center", "de/d74/md__r_e_a_d_m_e-ios.html#autotoc_md162", null ],
      [ "Deploying to older versions of iOS", "de/d74/md__r_e_a_d_m_e-ios.html#autotoc_md163", null ]
    ] ],
    [ "KMSDRM on *BSD", "d6/d89/md__r_e_a_d_m_e-kmsbsd.html", [
      [ "SDL WSCONS input backend features", "d6/d89/md__r_e_a_d_m_e-kmsbsd.html#autotoc_md164", null ],
      [ "Partially working or no input on OpenBSD/NetBSD.", "d6/d89/md__r_e_a_d_m_e-kmsbsd.html#autotoc_md165", null ],
      [ "Partially working or no input on FreeBSD.", "d6/d89/md__r_e_a_d_m_e-kmsbsd.html#autotoc_md166", null ]
    ] ],
    [ "Linux", "d7/df1/md__r_e_a_d_m_e-linux.html", [
      [ "Build Dependencies", "d7/df1/md__r_e_a_d_m_e-linux.html#autotoc_md167", null ],
      [ "Joystick does not work", "d7/df1/md__r_e_a_d_m_e-linux.html#autotoc_md168", null ]
    ] ],
    [ "macOS", "de/da0/md__r_e_a_d_m_e-macos.html", [
      [ "Command Line Build", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md170", null ],
      [ "Caveats for using SDL with macOS", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md171", null ],
      [ "Using the Simple DirectMedia Layer with a traditional Makefile", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md172", null ],
      [ "Using the Simple DirectMedia Layer with Xcode", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md173", [
        [ "First steps", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md174", null ],
        [ "Building the Framework", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md175", null ],
        [ "Build Options", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md176", null ],
        [ "Building the Testers", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md177", null ],
        [ "Using the Project Stationary", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md178", null ],
        [ "Setting up a new project by hand", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md179", null ],
        [ "Building from command line", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md180", null ],
        [ "Running your app", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md181", null ]
      ] ],
      [ "Implementation Notes", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md182", [
        [ "Working directory", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md183", null ],
        [ "You have a Cocoa App!", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md184", null ]
      ] ],
      [ "Bug reports", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md185", null ]
    ] ],
    [ "Where an SDL program starts running.", "d5/d58/md__r_e_a_d_m_e-main-functions.html", [
      [ "History", "d5/d58/md__r_e_a_d_m_e-main-functions.html#autotoc_md187", null ],
      [ "The main entry point in SDL3", "d5/d58/md__r_e_a_d_m_e-main-functions.html#autotoc_md188", null ],
      [ "Main callbacks in SDL3", "d5/d58/md__r_e_a_d_m_e-main-functions.html#autotoc_md189", null ],
      [ "How to use main callbacks in SDL3", "d5/d58/md__r_e_a_d_m_e-main-functions.html#autotoc_md190", null ],
      [ "Summary and Best Practices", "d5/d58/md__r_e_a_d_m_e-main-functions.html#autotoc_md191", null ]
    ] ],
    [ "Migrating to SDL 3.0", "db/d5d/md__r_e_a_d_m_e-migration.html", [
      [ "SDL_atomic.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md193", null ],
      [ "SDL_audio.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md194", null ],
      [ "SDL_cpuinfo.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md195", null ],
      [ "SDL_endian.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md196", null ],
      [ "SDL_error.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md197", null ],
      [ "SDL_events.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md198", null ],
      [ "SDL_gamecontroller.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md199", null ],
      [ "SDL_gesture.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md200", null ],
      [ "SDL_guid.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md201", null ],
      [ "SDL_haptic.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md202", null ],
      [ "SDL_hints.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md203", null ],
      [ "SDL_init.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md204", null ],
      [ "SDL_joystick.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md205", null ],
      [ "SDL_keyboard.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md206", null ],
      [ "SDL_keycode.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md207", null ],
      [ "SDL_loadso.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md208", null ],
      [ "SDL_log.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md209", null ],
      [ "SDL_main.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md210", null ],
      [ "SDL_messagebox.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md211", null ],
      [ "SDL_metal.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md212", null ],
      [ "SDL_mouse.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md213", null ],
      [ "SDL_mutex.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md214", null ],
      [ "SDL_pixels.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md215", null ],
      [ "SDL_platform.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md216", null ],
      [ "SDL_quit.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md217", null ],
      [ "SDL_rect.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md218", null ],
      [ "SDL_render.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md219", null ],
      [ "SDL_rwops.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md220", null ],
      [ "SDL_scancode.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md221", null ],
      [ "SDL_sensor.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md222", null ],
      [ "SDL_shape.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md223", null ],
      [ "SDL_stdinc.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md224", null ],
      [ "SDL_surface.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md225", null ],
      [ "SDL_system.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md226", null ],
      [ "SDL_syswm.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md227", null ],
      [ "SDL_thread.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md228", null ],
      [ "SDL_timer.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md229", null ],
      [ "SDL_vulkan.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md230", null ]
    ] ],
    [ "Nintendo 3DS", "d4/de9/md__r_e_a_d_m_e-n3ds.html", [
      [ "Building", "d4/de9/md__r_e_a_d_m_e-n3ds.html#autotoc_md232", null ],
      [ "Notes", "d4/de9/md__r_e_a_d_m_e-n3ds.html#autotoc_md233", null ]
    ] ],
    [ "README-ngage", "d9/dd5/md__r_e_a_d_m_e-ngage.html", null ],
    [ "Platforms", "d7/d28/md__r_e_a_d_m_e-platforms.html", [
      [ "Supported Platforms", "d7/d28/md__r_e_a_d_m_e-platforms.html#autotoc_md235", null ],
      [ "Unsupported Platforms", "d7/d28/md__r_e_a_d_m_e-platforms.html#autotoc_md236", null ]
    ] ],
    [ "Porting", "da/d02/md__r_e_a_d_m_e-porting.html", null ],
    [ "PS2", "df/ded/md__r_e_a_d_m_e-ps2.html", [
      [ "Building", "df/ded/md__r_e_a_d_m_e-ps2.html#autotoc_md237", null ],
      [ "Notes", "df/ded/md__r_e_a_d_m_e-ps2.html#autotoc_md238", null ],
      [ "Getting PS2 Dev", "df/ded/md__r_e_a_d_m_e-ps2.html#autotoc_md239", null ],
      [ "Running on PCSX2 Emulator", "df/ded/md__r_e_a_d_m_e-ps2.html#autotoc_md240", null ],
      [ "To Do", "df/ded/md__r_e_a_d_m_e-ps2.html#autotoc_md241", null ]
    ] ],
    [ "Sony PlayStation 4", "dd/dda/md__r_e_a_d_m_e-ps4.html", null ],
    [ "Sony PlayStation 5", "d3/d85/md__r_e_a_d_m_e-ps5.html", null ],
    [ "PSP", "d4/da6/md__r_e_a_d_m_e-psp.html", [
      [ "Building", "d4/da6/md__r_e_a_d_m_e-psp.html#autotoc_md244", null ],
      [ "Getting PSP Dev", "d4/da6/md__r_e_a_d_m_e-psp.html#autotoc_md245", null ],
      [ "Running on PPSSPP Emulator", "d4/da6/md__r_e_a_d_m_e-psp.html#autotoc_md246", null ],
      [ "Compiling a HelloWorld", "d4/da6/md__r_e_a_d_m_e-psp.html#autotoc_md247", null ],
      [ "To Do", "d4/da6/md__r_e_a_d_m_e-psp.html#autotoc_md248", null ]
    ] ],
    [ "RISC OS", "da/d4e/md__r_e_a_d_m_e-riscos.html", [
      [ "Compiling:", "da/d4e/md__r_e_a_d_m_e-riscos.html#autotoc_md249", null ],
      [ "Current level of implementation", "da/d4e/md__r_e_a_d_m_e-riscos.html#autotoc_md250", null ]
    ] ],
    [ "SteamOS", "dd/db6/md__r_e_a_d_m_e-steamos.html", null ],
    [ "String policies in SDL3.", "dc/de3/md__r_e_a_d_m_e-strings.html", [
      [ "Encoding.", "dc/de3/md__r_e_a_d_m_e-strings.html#autotoc_md253", null ]
    ] ],
    [ "Nintendo Switch", "d3/d58/md__r_e_a_d_m_e-switch.html", null ],
    [ "Touch", "dd/ddd/md__r_e_a_d_m_e-touch.html", [
      [ "System Specific Notes", "dd/ddd/md__r_e_a_d_m_e-touch.html#autotoc_md255", null ],
      [ "Events", "dd/ddd/md__r_e_a_d_m_e-touch.html#autotoc_md256", null ],
      [ "Functions", "dd/ddd/md__r_e_a_d_m_e-touch.html#autotoc_md257", null ]
    ] ],
    [ "Versioning", "d5/de4/md__r_e_a_d_m_e-versions.html", [
      [ "Since 3.2.0", "d5/de4/md__r_e_a_d_m_e-versions.html#autotoc_md259", null ]
    ] ],
    [ "PS Vita", "d1/dc4/md__r_e_a_d_m_e-vita.html", [
      [ "Building", "d1/dc4/md__r_e_a_d_m_e-vita.html#autotoc_md260", null ],
      [ "Notes", "d1/dc4/md__r_e_a_d_m_e-vita.html#autotoc_md261", null ]
    ] ],
    [ "Wayland", "da/d70/md__r_e_a_d_m_e-wayland.html", [
      [ "Common issues:", "da/d70/md__r_e_a_d_m_e-wayland.html#autotoc_md262", [
        [ "Legacy, DPI-unaware applications are blurry", "da/d70/md__r_e_a_d_m_e-wayland.html#autotoc_md263", null ],
        [ "Window decorations are missing, or the decorations look strange", "da/d70/md__r_e_a_d_m_e-wayland.html#autotoc_md264", null ],
        [ "Windows do not appear immediately after creation", "da/d70/md__r_e_a_d_m_e-wayland.html#autotoc_md265", null ],
        [ "The display reported as the primary by <tt>SDL_GetPrimaryDisplay()</tt> is incorrect", "da/d70/md__r_e_a_d_m_e-wayland.html#autotoc_md266", null ],
        [ "<tt>SDL_SetWindowPosition()</tt> doesn't work on non-popup windows", "da/d70/md__r_e_a_d_m_e-wayland.html#autotoc_md267", null ],
        [ "Retrieving the global mouse cursor position when the cursor is outside a window doesn't work", "da/d70/md__r_e_a_d_m_e-wayland.html#autotoc_md268", null ],
        [ "Warping the mouse cursor to or from a point outside the window doesn't work", "da/d70/md__r_e_a_d_m_e-wayland.html#autotoc_md269", null ],
        [ "The application icon can't be set via <tt>SDL_SetWindowIcon()</tt>", "da/d70/md__r_e_a_d_m_e-wayland.html#autotoc_md270", null ],
        [ "Keyboard grabs don't work when running under XWayland", "da/d70/md__r_e_a_d_m_e-wayland.html#autotoc_md271", null ]
      ] ],
      [ "Using custom Wayland windowing protocols with SDL windows", "da/d70/md__r_e_a_d_m_e-wayland.html#autotoc_md272", null ],
      [ "Importing external surfaces into SDL windows", "da/d70/md__r_e_a_d_m_e-wayland.html#autotoc_md273", null ]
    ] ],
    [ "Windows", "d1/d19/md__r_e_a_d_m_e-windows.html", [
      [ "Old systems", "d1/d19/md__r_e_a_d_m_e-windows.html#autotoc_md275", null ],
      [ "LLVM and Intel C++ compiler support", "d1/d19/md__r_e_a_d_m_e-windows.html#autotoc_md276", null ],
      [ "MinGW-w64 compiler support", "d1/d19/md__r_e_a_d_m_e-windows.html#autotoc_md277", null ],
      [ "OpenGL ES 2.x support", "d1/d19/md__r_e_a_d_m_e-windows.html#autotoc_md278", null ],
      [ "Vulkan Surface Support", "d1/d19/md__r_e_a_d_m_e-windows.html#autotoc_md279", null ],
      [ "Transparent Window Support", "d1/d19/md__r_e_a_d_m_e-windows.html#autotoc_md280", null ]
    ] ],
    [ "Simple DirectMedia Layer", "d3/dcc/md__r_e_a_d_m_e.html", null ],
    [ "Data Structures", "annotated.html", [
      [ "Data Structures", "annotated.html", "annotated_dup" ],
      [ "Data Structure Index", "classes.html", null ],
      [ "Data Fields", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Variables", "functions_vars.html", "functions_vars" ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "Globals", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", "globals_eval" ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"annotated.html",
"d1/d19/md__r_e_a_d_m_e-windows.html#autotoc_md275",
"d3/d07/_s_d_l__keyboard_8h.html#a3d89185ac6cef2d97cea4944239ba43e",
"d3/d78/_s_d_l__audio_8h.html#ad4a998b0fa52004c6db6b4182de26f8c",
"d3/dea/_s_d_l__oldnames_8h.html#a57b68f274f136621c070690f15212e52",
"d3/dea/_s_d_l__oldnames_8h.html#ac1ce0fa58c2fe431aeb749404b979684",
"d4/d7a/struct_s_d_l__hid__device__info.html#ad6eb1e9cafd756ef89cd427cccc89da8",
"d5/db3/_s_d_l__gpu_8h.html#a0b9e3cd6c11de2768cb93313b9fede5dac5b90f5137fbcc5ff044ee10bea75f75",
"d5/db3/_s_d_l__gpu_8h.html#ad162d17522994a16c790fb15a3a1dcad",
"d5/df2/_s_d_l__keycode_8h.html#a0aa4314802479356e93bb160feb9938a",
"d5/df2/_s_d_l__keycode_8h.html#af223f580464708749f1aba88eefdbd48",
"d6/d62/_s_d_l__cpuinfo_8h.html#ac09f87299a4f71f2c9916c08631edd71",
"d8/d33/struct_s_d_l___g_p_u_vertex_buffer_description.html#a8b8a53fd934c90ac56319ba7b6dd18c6",
"d8/d6a/_s_d_l__pixels_8h.html#ab40e48e4f36aa469249d415e76f057f0adc2cc1300afd0059b9fa85cb4e81c593",
"d8/ded/_s_d_l__thread_8h.html#ad4ca12e6e75a40f704953d8d2eebd4ee",
"d9/d24/_s_d_l__stdinc_8h.html#acfc724558552194368ad6abf50f0e84f",
"d9/d7c/_s_d_l__system_8h.html#a2567b28232e27a1f2065ff9acea98133",
"db/d0c/_s_d_l__process_8h.html#adb18f9b8a82bf3a2ced2297977f20f2d",
"dc/d3c/_s_d_l__haptic_8h.html#acd28b054c6dfc9444c7057c4b3709f27",
"dc/d64/_s_d_l__video_8h.html#aa6c3caa6ad7a42e7758a74c92471b5a2",
"dd/d00/_s_d_l__joystick_8h.html#a7a773505fbae8a268a51e0bf24c2023d",
"dd/dd3/_s_d_l__hints_8h.html#a9f9bfde5cbb3d6d154a232223203addb",
"de/d89/struct_s_d_l___g_p_u_graphics_pipeline_target_info.html#abf95fb30f84aac5496f7b64302961844",
"df/d4a/_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777ba9fa2e294fcb13a38726dd79b84509fc9",
"globals_defs_f.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';